Subject: Re:
From: "Michael B" <[email-masked]>
To: "Donna Johnson" <[email-masked]>
Date: Tue, 17 Feb 2015 15:50:26 -0500

Hello Donna.
I can.  I attempted to respond but it bounced back stating that I couldn't respond because it was for a different email or something.  Anyway, Yes at 11:00 am is what I wrote down.
Thank you,
Michael B
LLPS

From: Donna Johnson 
Sent: Tuesday, February 17, 2015 3:07 PM
To: [email-masked] 

Mike,

I just wanted to make sure that you are still able to meet on Thursday? 

Best Regards,
Donna Johnson

Senior Account Executive
Konica Minolta Business Solutions
1605 Tittabawassee
Saginaw, MI 48604

(C)989.600.9601 (O) 989.596.2321
Email:  [email-masked]